Name:           compiz-plugins-experimental
Version:        0.8.18
Release:	    %mkrel 2
Summary:        OpenGL window and compositing manager experimental plugins
License:        GPL-2.0-or-later AND GPL-2.0-only
URL:            https://gitlab.com/compiz-reloaded/compiz-plugins-experimental
Source:         http://northfield.ws/projects/compiz/releases/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(bcop) >= 0.7.3
BuildRequires:  pkgconfig(cairo) >= 1.0
BuildRequires:  pkgconfig(cairo-xlib)
BuildRequires:  pkgconfig(compiz)
BuildRequires:  compiz-plugins-main-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(xscrnsaver)
Requires:       compiz
Requires:       compiz-plugins-extra
Requires:       compiz-plugins-main
Provides:       compiz-plugin-photowheel = %{version}
Obsoletes:      compiz-plugin-photowheel < %{version}
Provides:       compiz-plugins-git = %{version}
Obsoletes:      compiz-plugins-git < %{version}
ExcludeArch:    s390 s390x

%description
This package contains the experimental Compiz compositing
manager plugins.

Contains:
 * Atlantis: Render some sea animals inside of the transparent cube.
 * Cubemodel: Render still/animated 3D mesh models inside of the
   transparent cube.
 * Elements: Draw elements on screen.
 * Fakeargb: Makes a special colour of a window transparent.
 * Mswitch: Enables the switching of viewports with mouse gestures.
 * Snow: Displays falling snow over the desktop and windows.
 * Tile: Enables the tiling of windows on the desktop in a manner
   similar to awesome.
 * ... and more.

%package devel
Summary:        OpenGL window and compositing manager community plugins
Requires:       %{name} = %{version}
Requires:       pkgconfig(bcop)
Requires:       pkgconfig(compiz)
Requires:       pkgconfig(gl)
Requires:       compiz-plugins-main-devel

%description devel
This package contains the community unsupported Compiz compositing
manager plugins.

This package contain development files required for developing
other plugins.

%prep
%setup -q

%build
autoreconf -vfi -Im4
intltoolize --copy --force --automake
%configure2_5x \
  --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_libdir}/compiz/*
%{_datadir}/compiz/*


%files devel
%{_includedir}/compiz/*

%changelog
* Sat Oct 09 2021 yodelu 0.8.18-2pclos2021
- rebuild

* Tue Nov 10 2020 yodelu 0.8.18-1.pclos2020
- imported to pclinuxos
